## kdenetwork 4.6.5

=== debian/changelog ===
kdenetwork (4:4.6.5-3) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add libgadu_pthread_check.diff, fixes an FTBFS when building with
    libvncserver-dev supporting libgnutls.
  * Bump libvncserver-dev B-D to 0.9.8.1, this solves two problems:
    - libvncserver-dev now depends on libgnutls-dev, preventing an FTBFS.
    - fixes a binary compatibility issue. (see bug #644455)
  * Add protocols_namespaces.diff. Thanks to Ralf Jung for tracking down the
    issue and writing a significant part of the patch. (Closes: #644197)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.6.5-2) unstable; urgency=low

  * Confirm symbol files on Debian arches. Fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Sat, 23 Jul 2011 13:50:44 +0300

kdenetwork (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.
  * Update symbols files.

  [ Pino Toscano ]
  * Change libjpeg62-dev build-dependency to libjpeg-dev. (Closes: #633437)
  * Switch to my @debian.org address, I'm a DD now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:58 +0300

kdenetwork (4:4.6.3-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.

  [ Modestas Vainius ]
  * Merge 4:4.4.5-2+squeeze1 upload to squeeze:
    - drop cve_2010_1000_directory_traversal.diff patch, applied upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:37 +0300

kdenetwork (4:4.6.3-0exp1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add patch no_home_set.diff to not fail the cmake step in kopete if no $HOME
    environment variable is set.

  [ José Manuel Santamaría Lema ]
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 07 May 2011 16:18:19 +0300

kdenetwork (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes shift modifier key not working in krfb when pressed on remote
      keyboard (Closes: #595283)
    - removes KWallet timeout in kopete (Closes: #606949)
    - kopete does not disconnect anymore after several XMPP ping messages from
      Jabber server (Closes: #585007)
    - kopete uses the right category for ICQ disconnect messages
      (Closes: #588043)
  * Update installed files.
  * Update libkopete symbols file.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Remove all patches; applied upstream.
  * Bump build dependencies on kdelibs5-dev and
    kdepimlibs5-dev to version 4:4.6.
  * Drop libtelepathy-qt4-dev build-dependency, since it
    will cause trouble when libtelepathy-qt4 0.5 is uploaded
    in the archive and krdc/krfb telepathy support is not
    usable anyway without the rest of the telepathy components.

  [ José Manuel Santamaría Lema ]
  * Removed patch 03_kopete_icq_login_fix.diff, applied upstream.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Bump build dependency on libkonq5-dev to 4:4.6.
  * Bump S-V to 3.9.1; add Breaks next to Replaces where needed.
  * Add build dependencies:
    - libjasper-dev
  * Update lintian overrides.
  * Add myself to Uploaders.

  [ Pino Toscano ]
  * Add build dependencies:
    - libkonq5-dev
    - kdebase-workspace-dev
  * Remove unused build dependencies:
    - libgmp3-dev
    - libkwebkit-dev
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - list of linux architectures -> linux-any
  * Remove libjasper-runtime recommend from kopete, as now it uses the jasper
    library directly.
  * Clean up Replaces/Breaks from the pre-squeeze era whenever possible.

  [ Modestas Vainius ]
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Require libktorrent-dev 1.1.
  * Move KDE SC Build-Depends to the beginning of the line.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:42 +0300

=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libkonq5-dev (>= 4:4.6),
 kdebase-workspace-dev,
 zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libotr2-dev, libboost-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
 libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
 libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
 libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
 libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1),  libjasper-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git

Package: kdenetwork
Architecture: all
Depends: ${misc:Depends}, kget (>= ${source:Version}),
 kopete (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version})
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kppp
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: rdesktop
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Recommends: kdebase-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zeroconf plugins and kio slaves for KDE
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE networking module.

## kdenetwork 4.7.1

=== kget/CMakeLists.txt ===
project(kget)

set(kget_adaptor_SRCS
    dbus/dbuskgetwrapper.cpp
)
# set(kget_transfer_adaptor_SRCS
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
# )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5001) 

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

if (NEPOMUK_FOUND)
    set(SDO_MIN_VERSION 0.4)
    find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
    STRING (COMPARE GREATER "${SHAREDDESKTOPONTOLOGIES_VERSION}" "${SDO_MIN_VERSION}" HAVE_NEPOMUK)
endif (NEPOMUK_FOUND)
if(HAVE_NEPOMUK)
    include_directories(
        ${SOPRANO_INCLUDE_DIR}
        ${NEPOMUK_INCLUDE_DIR}
    )
    add_definitions(-DHAVE_NEPOMUK)
    add_definitions(-DDISABLE_NEPOMUK_LEGACY)
    include(NepomukAddOntologyClasses)
endif(HAVE_NEPOMUK)

if(QCA2_FOUND)
    add_definitions(-DHAVE_QCA2)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)

if(QGPGME_FOUND)
    find_package(Boost REQUIRED)
    add_definitions(-DHAVE_QGPGME)
    include_directories(
        ${Boost_INCLUDE_DIRS}
        ${QGPGME_INCLUDES}
    )
endif(QGPGME_FOUND)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
add_subdirectory(plasma)
add_subdirectory(tests)

macro_optional_find_package(KDE4Workspace)
macro_log_feature(KDE4WORKSPACE_FOUND "KDE4Workspace" "KDE4 workspace libraries, part of kdebase-workspace" "http://www.kde.org" FALSE "" "Allows 'shutdown after downloads completed' in kget")
if(KDE4WORKSPACE_FOUND)
    add_definitions(-DHAVE_KWORKSPACE)
	include_directories(${KDE4WORKSPACE_INCLUDE_DIR})
endif(KDE4WORKSPACE_FOUND)

# find libkonq to allow actions and open with options in the context menu of a transfer
macro_optional_find_package(LibKonq)
macro_log_feature(LIBKONQ_FOUND "libkonq" "KDE4 Konqueror library" "http://www.kde.org" FALSE "" "Needed to build actions and open with options in the context menu of a transfer")
if(LIBKONQ_FOUND)
    add_definitions(-DHAVE_KONQUEROR)
	include_directories(${LIBKONQ_INCLUDE_DIR})
endif(LIBKONQ_FOUND)


include_directories(
   ${CMAKE_SOURCE_DIR}/kget/core/
   ${CMAKE_CURRENT_BINARY_DIR}
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif(SQLITE_FOUND)


remove_definitions(-DQT_NO_HTTP)

# kgetcore

set(kgetcore_SRCS
   core/job.cpp
   core/jobqueue.cpp
   core/kget.cpp
   core/scheduler.cpp
   core/transfertreemodel.cpp
   core/transfertreeselectionmodel.cpp
   core/transfer.cpp
   core/transfergroup.cpp
   core/transfergrouphandler.cpp
   core/transferhandler.cpp
   core/handler.cpp
   core/transfergroupscheduler.cpp
   core/plugin/plugin.cpp
   core/plugin/transferfactory.cpp
   core/transferdatasource.cpp
   core/datasourcefactory.cpp
   core/kgetkjobadapter.cpp
   core/kuiserverjobs.cpp
   core/kgetglobaljob.cpp
   core/bitset.cpp
   core/download.cpp
   core/transferhistorystore.cpp
   core/linkimporter.cpp
   dbus/dbustransferwrapper.cpp
   dbus/dbusverifierwrapper.cpp
   core/filemodel.cpp
   core/verifier.cpp
   core/verificationthread.cpp
   core/verificationmodel.cpp
   core/verificationdelegate.cpp
   core/signature.cpp
   core/signaturethread.cpp
   core/keydownloader.cpp
   core/urlchecker.cpp
   core/basedialog.cpp
   core/mostlocalurl.cpp
)

if(HAVE_NEPOMUK)
    set(kgetcore_SRCS
       ${kgetcore_SRCS}
       core/nepomukhandler.cpp
       core/nepomukcontroller.cpp
    )

    NEPOMUK_ADD_ONTOLOGY_CLASSES(
        kgetcore_SRCS
        ONTOLOGIES
        ${CMAKE_CURRENT_SOURCE_DIR}/kget_history.trig
    )
endif (HAVE_NEPOMUK)

kde4_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)

qt4_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt4_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.verifier.xml dbus/dbusverifierwrapper.h DBusVerifierWrapper)


kde4_add_library(kgetcore SHARED ${kgetcore_SRCS})

target_link_libraries(kgetcore ${KDE4_KIO_LIBS})

if (KDE4WORKSPACE_FOUND)
    target_link_libraries(kgetcore ${KDE4WORKSPACE_KWORKSPACE_LIBS})
endif (KDE4WORKSPACE_FOUND)

if (HAVE_NEPOMUK)
  target_link_libraries(kgetcore ${SOPRANO_LIBRARIES} ${NEPOMUK_LIBRARIES})
endif (HAVE_NEPOMUK)

if (SQLITE_FOUND)
  target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif (SQLITE_FOUND)

if (QCA2_FOUND)
    target_link_libraries(kgetcore ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

if (QGPGME_FOUND)
    target_link_libraries(kgetcore ${QGPGME_LIBRARIES})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
endif(QGPGME_FOUND)

set_target_properties(kgetcore PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# kget

set(kget_SRCS ${kget_adaptor_SRCS} ${kget_transfer_adaptor_SRCS}
   conf/autopastemodel.cpp
   conf/integrationpreferences.cpp
   conf/dlgwebinterface.cpp
   conf/preferencesdialog.cpp
   conf/transfersgrouptree.cpp
   conf/transfersgroupwidget.cpp
   conf/pluginselector.cpp
   conf/verificationpreferences.cpp
   ui/droptarget.cpp
   ui/transfersview.cpp
   ui/transfersviewdelegate.cpp
   ui/splash.cpp
   ui/transferdetails.cpp
   ui/viewscontainer.cpp
   ui/newtransferdialog.cpp
   ui/groupsettingsdialog.cpp
   ui/transfersettingsdialog.cpp
   ui/contextmenu.cpp
   ui/tray.cpp
   ui/history/rangetreewidget.cpp
   ui/history/transferhistory.cpp
   ui/history/transferhistoryitemdelegate.cpp
   ui/history/transferhistorycategorizeddelegate.cpp
   ui/history/transferhistorycategorizedview.cpp
   ui/linkview/kget_linkview.cpp
   ui/linkview/kget_sortfilterproxymodel.cpp
   ui/mirror/mirrorsettings.cpp
   ui/mirror/mirrormodel.cpp
   ui/renamefile.cpp
   ui/verificationdialog.cpp
   ui/metalinkcreator/metalinkcreator.cpp
   ui/metalinkcreator/generalwidget.cpp
   ui/metalinkcreator/metalinker.cpp
   ui/metalinkcreator/filedlg.cpp
   ui/metalinkcreator/localemodels.cpp
   ui/metalinkcreator/dragdlg.cpp
   ui/metalinkcreator/urlwidget.cpp
   ui/metalinkcreator/filehandler.cpp
   ui/signaturedlg.cpp
   mainwindow.cpp
   main.cpp

   extensions/webinterface/httpserver.cpp
)

qt4_add_dbus_adaptor(kget_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)

kde4_add_ui_files(kget_SRCS
   conf/dlgadvanced.ui
   conf/dlgappearance.ui
   conf/dlggroups.ui
   conf/dlgintegration.ui
   conf/dlgwebinterface.ui
   conf/dlgnetwork.ui
   conf/verificationpreferences.ui
   ui/transferdetailsfrm.ui
   ui/newtransferwidget.ui
   ui/history/transferhistory.ui
   ui/groupsettingsdialog.ui
   ui/transfersettingsdialog.ui
   ui/linkview/importlinkdialog.ui
   ui/mirror/mirrorsettings.ui
   ui/mirror/mirroradddlg.ui
   ui/renamefile.ui
   ui/verificationdialog.ui
   ui/verificationadddlg.ui
   ui/metalinkcreator/introduction.ui
   ui/metalinkcreator/generalwidget.ui
   ui/metalinkcreator/files.ui
   ui/metalinkcreator/filedlg.ui
   ui/metalinkcreator/dragdlg.ui
   ui/metalinkcreator/urlwidget.ui
   ui/metalinkcreator/commondata.ui
   ui/signaturedlg.ui
)

kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

kde4_add_executable(kget ${kget_SRCS})

target_link_libraries(kget ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KCMUTILS_LIBRARY} kgetcore ${KDE4_KNOTIFYCONFIG_LIBS})
if(QCA2_FOUND)
target_link_libraries(kget ${QCA2_LIBRARIES})
endif(QCA2_FOUND)


if (HAVE_NEPOMUK)
  target_link_libraries(kget ${SOPRANO_LIBRARIES} ${NEPOMUK_LIBRARIES})
endif (HAVE_NEPOMUK)

if (LIBKONQ_FOUND)
  target_link_libraries(kget ${LIBKONQ_LIBRARY})
endif (LIBKONQ_FOUND)

if (QGPGME_FOUND)
  target_link_libraries(kget ${QGPGME_LIBRARIES})
endif(QGPGME_FOUND)

install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kget/desktop/CMakeLists.txt ===
# associate KGet with the correct mimetypes
configure_file(kget.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/kget.desktop)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kget.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kget_download.desktop DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus)

# For DBus activation:
configure_file(org.kde.kget.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service
    DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

=== kopete/styles/Hacker/Contents/Resources/Variants/CMakeLists.txt ===

########### install files ###############

install( FILES Dark2.css Dark.css Light2.css Light.css Dark2-Noback.css Dark-Noback.css Light2-Noback.css Light-Noback.css  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Hacker/Contents/Resources/Variants)

=== kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeLists.txt ===

########### next target ###############

if ( BUILD_libjingle_cricketbase )

SET(cricketbase_STAT_SRCS
   socketaddress.cc
   time.cc
   asyncudpsocket.cc
   messagequeue.cc
   thread.cc
   physicalsocketserver.cc
   bytebuffer.cc
   asyncpacketsocket.cc
   network.cc
   asynctcpsocket.cc
   socketadapters.cc
   md5c.c
   base64.cc
   task.cc
   taskrunner.cc
   host.cc
   proxydetect.cc
   socketaddresspair.cc
   stringencode.cc
   stringdigest.cc
   stringutils.cc
   proxyinfo.cc
   common.cc
   logging.cc
   stream.cc
   ssladapter.cc
   openssladapter.cc
   helpers.cc
   asynchttprequest.cc
   firewallsocketserver.cc
   httpcommon.cc
   httpbase.cc
   httpclient.cc
   httpserver.cc
   socketpool.cc
   signalthread.cc
   autodetectproxy.cc
   urlencode.cc
   pathutils.cc
   fileutils.cc
   unixfilesystem.cc
   tarstream.cc
   streamutils.cc
   diskcache.cc
   diskcachestd.cc
)

add_library(cricketbase STATIC ${cricketbase_STAT_SRCS})

endif ( BUILD_libjingle_cricketbase )


########### next target ###############

if ( BUILD_libjingle_crickettest )

SET(crickettest_STAT_SRCS
   testclient.cc
   natserver.cc
   natsocketfactory.cc
   nattypes.cc
   virtualsocketserver.cc
)

add_library(crickettest STATIC ${crickettest_STAT_SRCS})

endif ( BUILD_libjingle_crickettest )


########### next target ###############

if ( BUILD_libjingle_natserver )

SET(natserver_SRCS
   natserver_main.cc
)

add_executable(natserver ${natserver_SRCS})

target_link_libraries(natserver crickettest cricketbase pthread)

endif ( BUILD_libjingle_natserver )


########### next target ###############

if ( BUILD_libjingle_nat_unittest )

SET(nat_unittest_SRCS
   nat_unittest.cc
)

add_executable(nat_unittest ${nat_unittest_SRCS})

target_link_libraries(nat_unittest crickettest cricketbase pthread)

endif ( BUILD_libjingle_nat_unittest )


########### next target ###############

if ( BUILD_libjingle_virtualsocket_unittest )

SET(virtualsocket_unittest_SRCS
   virtualsocket_unittest.cc
)

add_executable(virtualsocket_unittest ${virtualsocket_unittest_SRCS})

target_link_libraries(virtualsocket_unittest crickettest cricketbase pthread)

endif ( BUILD_libjingle_virtualsocket_unittest )


########### install files ###############

=== debian/changelog ===
kdenetwork (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Add kubuntu_05_samba_install.diff for installing samba with qapt-batch.
    This was accidentally dropped since this functionality was part of the
    larger samba patch that was marked as upstream. (And the QApt-Batch
    change isn't upstream.)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 28 Sep 2011 19:46:41 -0400

kdenetwork (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:34:11 +0200

kdenetwork (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 22:13:25 +0200

kdenetwork (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop kubuntu_05_make_old_symbols_reappear_and_fix_building.diff,
      applied on upstream
    - Bump kde-sc-dev-lastest to 4:4.7.0

 -- Romain Perier <romain.perier@gmail.com>  Fri, 29 Jul 2011 10:30:45 +0200

kdenetwork (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
   - Bump on kde-sc-dev-latest
   - s/kdebase-runtime-dev/kde-runtime-dev
  * Dropped kubuntu_05_samba_sharing.diff <- went upstream
  * Added kubuntu_05_make_old_symbols_reappear_and_fix_building.diff
  * Refreshed *.install
  * Refreshed symbols

  [ Philip Muškovac ]
  * fix debug package depends on kdebase-runtime-dbg -> kde-runtime-dbg 
    and recommends on kde-workspace-dbg

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 10 Jul 2011 12:36:35 +0200

kdenetwork (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Merge with Debian unstable, remaining changes:
    - debian/control:
      - Build against libboost1.46-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - Drop from build-deps: libmediastreamer-dev, libortp-dev (in universe)
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

  [ Tarun Kumar Mall ]
  * Removed patch kubuntu_08_kget_metalinker.diff, applied upstream

  [ Jonathan Thomas ]
  * Update kubuntu_05_samba_sharing.diff to use qapt-batch to install
    samba, now that it has replaced PackageKit in Kubuntu.
  * Make kdenetwork-filesharing recommend qapt-batch

  [ Felix Geyer ]
  * Drop kubuntu_07_kopete_libjasper_optional.diff, not needed anymore.

 -- Romain Perier <romain.perier@gmail.com>  Thu, 02 Jun 2011 22:31:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libkonq5-dev (>= 4:4.6),
- kdebase-workspace-dev,
- zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
+ kdelibs5-dev (>= 4:4.6.90), kdepimlibs5-dev (>= 4:4.6.90), libkonq5-dev (>= 4:4.6.90),
+ kde-workspace-dev,
+ zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
- libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
+ libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost-dev,
+ libotr2-dev, libboost1.46-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
+ libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev,
  libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
- libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1),  libjasper-dev
+ libexpat1-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
 
 Package: kdenetwork
 Architecture: all
@@ -46,6 +47,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: qapt-batch
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.
@@ -83,7 +85,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
@@ -150,8 +152,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdebase-runtime-dbg
-Recommends: kdebase-workspace-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
+Recommends: kde-workspace-dbg
 Suggests: kdenetwork (= ${source:Version})
 Description: debugging symbols for the KDE networking module
  This package contains debugging files used to investigate problems with

## kdenetwork 4.7.2

=== debian/changelog ===
kdenetwork (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependencies on other KDE SC packages to 4:4.7.
  * Add libmms-dev to Build-Depends.
  * Add ${perl:Depends} to kopete Depends.
  * Update installed files.
  * Update symbols files.
  * Refresh patches.
  * Manage package renames:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdenetwork-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - kdenetwork-dbg recommends kde-workspace-dbg instead of
      kdebase-workspace-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6.90), kdepimlibs5-dev (>= 4:4.6.90), libkonq5-dev (>= 4:4.6.90),
- kde-workspace-dev,
- zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
+ kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), libkonq5-dev (>= 4:4.7),
+ kde-workspace-dev (>= 4:4.7),
+ zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
- libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
+ libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost1.46-dev,
+ libotr2-dev, libboost-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev,
+ libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
  libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
- libexpat1-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
+ libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
+ libmms-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
 
 Package: kdenetwork
 Architecture: all
@@ -47,7 +47,6 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: qapt-batch
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.
@@ -84,8 +83,8 @@
 Package: kopete
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide

## kdenetwork 4.7.4

=== debian/changelog ===
kdenetwork (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 09:46:27 +0100

kdenetwork (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Remove parts from protocols_namespaces.diff, that were applied upstream.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies build dependency to 0.8.
  * Confirm symbols files on more architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), libkonq5-dev (>= 4:4.7),
  kde-workspace-dev (>= 4:4.7),
@@ -17,7 +17,7 @@
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
  libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
  libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
- libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
+ libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
  libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
  libmms-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]

## kdenetwork 4.8.2

=== debian/changelog ===
kdenetwork (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - add new symbol to libkopete4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 22:13:16 +0200

kdenetwork (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 
    - drop no_home_set.diff - applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 22:40:36 +0100

kdenetwork (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:23 +0000

kdenetwork (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * debian/control: Bump kde-sc-dev-latest to 4.7.97

 -- Romain Perier <bambi@ubuntu.com>  Wed, 04 Jan 2012 21:13:03 +0100

kdenetwork (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 19:20:51 +0100

kdenetwork (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:51 +0000

kdenetwork (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian unstable, remaining changes:
    - debian/control:
      - Build against libboost1.46-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - Drop from build-deps: libmediastreamer-dev, libortp-dev (in universe)
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - kdenetwork recommends qapt-batch
  * Remove libmms-dev Build-Depends, needs MIR
  * Disable Debian's patch protocols_namespaces.diff, does not apply, to be
    investigated
  * Remove mms files from kget.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:50 +0000

kdenetwork (4:4.7.2-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependencies on other KDE SC packages to 4:4.7.
  * Add libmms-dev to Build-Depends.
  * Add ${perl:Depends} to kopete Depends.
  * Update installed files.
  * Update symbols files.
  * Refresh patches.
  * Manage package renames:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdenetwork-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - kdenetwork-dbg recommends kde-workspace-dbg instead of
      kdebase-workspace-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 10:14:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,40 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), libkonq5-dev (>= 4:4.7),
- kde-workspace-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libkonq5-dev (>= 4:4.8.1),
+ kde-workspace-dev (>= 4:4.8.1),
  zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
  libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost-dev,
+ libotr2-dev, libboost1.46-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
- libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
- libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
- libmms-dev
+ libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev,
+ libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
+ libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
 
 Package: kdenetwork
 Architecture: all
 Depends: ${misc:Depends}, kget (>= ${source:Version}),
  kopete (>= ${source:Version}),
  krdc (>= ${source:Version}), krfb (>= ${source:Version})
-Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version})
+Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version}),
+ qapt-batch
 Description: networking applications from the official KDE 4 release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -84,7 +87,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
